Lua:Neutrino-API:checkVersion:de

Aus slknet Wiki
Wechseln zu: Navigation, Suche

checkVersion

Überprüft die Korrektheit der übergebenen LUA-API Version.
Ist die vorhandene API Version zu alt, wird eine Fehlermeldung ausgegeben und das Plugin beendet.

checkVersion(Parameter) ab API v1.4   -   Neutrino Git


Parameter:

Parameter Typ Description/Beschreibung
1 number major Major Version
2 number minor Minor Version
en: Parameters with default-values are optional. If not needed, no definition is required. In case of missing parameter, default value is used.

de: Parameter mit Default-Wert sind optional. dh. sie müssen nicht angegeben werden. Falls der Parameter fehlt, wird automatisch dieser Wert angenommen.



Example:

 -- Beispiel: Die erforderliche API Version ist 1.1
 -- Wenn die vorhandene Version älter ist, wird eine Fehlermeldung ausgegeben und das Plugin beendet.

 -- Ganz am Anfang des Scripts einfügen.

local n = neutrino()
n:checkVersion(1, 1)